curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/jobs/{job_id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"job": {
"completed_at": 1,
"created_at": 1,
"error": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"input": null,
"job_type": "batch_infer",
"progress": 1,
"result": null,
"status": "pending",
"updated_at": 1
}
}
Get job status
Retrieves the current status and results of an asynchronous job. Poll this endpoint to track job progress and retrieve results when complete…
GET
/
api
/
v1
/
jobs
/
{job_id}
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/jobs/{job_id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"job": {
"completed_at": 1,
"created_at": 1,
"error": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"input": null,
"job_type": "batch_infer",
"progress": 1,
"result": null,
"status": "pending",
"updated_at": 1
}
}
Retrieves the current status and results of an asynchronous job.
Poll this endpoint to track job progress and retrieve results when complete.
Example
Required scope:
curl -X GET 'https://api.nsr.stateset.com/api/v1/jobs/job_0000000000000042' \
-H 'X-API-Key: your-api-key'
read
Path parameters
string
required
Unique job identifier returned from job submission
Response
JobStatusResponse
Job
required
Show Job
Show Job
integer (int64)
Completion timestamp (Unix ms, if completed)
integer (int64)
required
Creation timestamp (Unix ms)
string
Error message if failed
string
required
Unique job identifier
object
required
Input parameters
JobType
required
integer (int32)
required
Progress percentage (0-100)
object
Result data (JSON)
JobStatus
required
integer (int64)
required
Last update timestamp (Unix ms)
Status codes
| Code | Meaning |
|---|---|
200 | Job status and results |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
404 | Job not found |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/jobs/{job_id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"job": {
"completed_at": 1,
"created_at": 1,
"error": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"input": null,
"job_type": "batch_infer",
"progress": 1,
"result": null,
"status": "pending",
"updated_at": 1
}
}
Last modified on August 31, 2026